package com.jeeplus.modules.sg.managementcenter.reserveManagement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ProgressSchedule;
import org.apache.ibatis.annotations.Param;
import org.springframework.transaction.annotation.Transactional;

/**
 * 人员流转 Mapper
 */
@MyBatisMapper
public interface ProgressScheduleMapper extends BaseMapper<ProgressSchedule> {

    /**
     * 更新流程对应节点的完成时间
     */
    void updateTimeNode(ProgressSchedule entity);

    /**
     * 通过储备项目编号查询项目流转时间
     * */
    ProgressSchedule findProjectReserveId(String projectReserveId);

}
