package com.jeeplus.modules.sg.managementcenter.reserveManagement.service;

import com.google.common.collect.Maps;
import com.jeeplus.common.utils.DateUtils;
import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.act.service.ActProcessService;
import com.jeeplus.modules.act.service.ActTaskService;
import com.jeeplus.modules.sg.managementcenter.project.service.ProjectService;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ProgressSchedule;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.entity.ReserveProcess;
import com.jeeplus.modules.sg.managementcenter.reserveManagement.mapper.ProgressScheduleMapper;
import com.jeeplus.modules.sys.utils.UserUtils;
import org.activiti.engine.repository.ProcessDefinition;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 人员流转 Service
 */
@Service
@Transactional(readOnly = true)
public class ProgressScheduleService extends CrudService<ProgressScheduleMapper, ProgressSchedule> {


    @Override
    public ProgressSchedule get(ProgressSchedule entity) {
        return super.get(entity);
    }

    @Override
    public List<ProgressSchedule> findList(ProgressSchedule entity) {
        return super.findList(entity);
    }

    @Override
    public Page<ProgressSchedule> findPage(Page<ProgressSchedule> page, ProgressSchedule entity) {
        return super.findPage(page, entity);
    }

    @Override
    public void save(ProgressSchedule entity) {
        super.save(entity);
    }

    @Transactional(readOnly = false)
    public void insert(ProgressSchedule entity) {
        mapper.insert(entity);
    }

    @Transactional(readOnly = false)
    public void update(ProgressSchedule entity) {
        mapper.update(entity);
    }

    @Override
    @Transactional(readOnly = false)
    public void deleteAll(Collection<ProgressSchedule> entitys) {
        super.deleteAll(entitys);
    }

    /**
     * 更新流程对应节点的完成时间
     */
    @Transactional(readOnly = false)
    public void updateTimeNode(ProgressSchedule entity) {
        mapper.updateTimeNode(entity);
    }
}
